org.gnome.gtk

## Interface EntryCompletion.MatchSelected

- Enclosing class:
    EntryCompletion

      public static interface EntryCompletion.MatchSelected

  Emitted when a completion string was selected from the completion list.

  Generally, this signal is enough to handle a completion selection and it just used to complete the entry according to the selected completion string.

       final DataColumnString column;
       final EntryCompletion completion;

       completion.connect(new EntryCompletion.MatchSelected() {
           final String text;
           final Entry entry;

           entry = source.getEntry();
           text = model.getValue(iter, column);

           entry.setText(text);
           ...
       });

  Since:
    4.0.12
  Author:
    Guillaume Mazoyer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onMatchSelected(EntryCompletion source, TreeModel model, TreeIter iter)` The useful parameter are `model` and `iter` which will make you able to get the value of the selected completion using the TreeModel's `getValue()` method.

- - ### Method Detail

    - #### onMatchSelected

          boolean onMatchSelected(EntryCompletion source,
                                TreeModel model,
                                TreeIter iter)

      The useful parameter are `model` and `iter` which will make you able to get the value of the selected completion using the TreeModel's `getValue()` method.
      Since:
        4.0.12